ru.bitel.bgbilling.kernel.network.radius

## Class RadiusAttributeSetRealmMap

- java.lang.Object
- - ru.bitel.bgbilling.kernel.network.radius.RadiusAttributeSetRealmMap

-     public class RadiusAttributeSetRealmMap
      extends java.lang.Object

  Мап набора радиус атрибутов по реалму и целочисленному ключу.
  Author:
    amir

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RadiusAttributeSetRealmMap(java.util.Map<java.lang.String,java.util.Map<java.lang.Integer,RadiusAttributeSet>> realmMap)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String realm, java.lang.Integer id, RadiusAttributeSet set)`
    `void` | `add(java.lang.String realm, java.lang.Integer id, RadiusAttributeSet set, boolean replace)`
    `RadiusAttributeSet` | `get(java.lang.Integer id)` Получение набора атрибутов для реалма default и ключа id
    `RadiusAttributeSet` | `get(java.lang.String realm, java.lang.Integer id)` Получение набора атрибутов для указанных реалма и ключа.
    `java.util.Map<java.lang.String,java.util.Map<java.lang.Integer,RadiusAttributeSet>>` | `getRealmMap()` Возвращает мап, в котором содержатся наборы атрибутов по реалмам.
    `void` | `putAll(java.util.Map<java.lang.Integer,RadiusAttributeSet> map)` Добавление мапа в default реалм.
    `void` | `putAll(RadiusAttributeSetRealmMap realmMap)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RadiusAttributeSetRealmMap

          public RadiusAttributeSetRealmMap(java.util.Map<java.lang.String,java.util.Map<java.lang.Integer,RadiusAttributeSet>> realmMap)

  - ### Method Detail

    - #### get

          public RadiusAttributeSet get(java.lang.Integer id)

      Получение набора атрибутов для реалма default и ключа id
      Parameters:
        `id` -
      Returns:

    - #### get

          public RadiusAttributeSet get(java.lang.String realm,
                                        java.lang.Integer id)

      Получение набора атрибутов для указанных реалма и ключа. Если реалм не указан в конфигурации, берется значение поумолчанию.
      Parameters:
        `realm` -
        `id` -
      Returns:

    - #### putAll

          public void putAll(java.util.Map<java.lang.Integer,RadiusAttributeSet> map)

      Добавление мапа в default реалм.
      Parameters:
        `map` -

    - #### putAll

          public void putAll(RadiusAttributeSetRealmMap realmMap)

    - #### add

          public void add(java.lang.String realm,
                          java.lang.Integer id,
                          RadiusAttributeSet set,
                          boolean replace)

      Parameters:
        `realm` -
        `id` -
        `set` -
        `replace` - нужно ли заменять, если такой атрибут уже есть

    - #### add

          public void add(java.lang.String realm,
                          java.lang.Integer id,
                          RadiusAttributeSet set)

    - #### getRealmMap

          public java.util.Map<java.lang.String,java.util.Map<java.lang.Integer,RadiusAttributeSet>> getRealmMap()

      Возвращает мап, в котором содержатся наборы атрибутов по реалмам.
      Returns: